<mat-toolbar color="primary">
  <span>Smart OP</span>
</mat-toolbar>
<div class="p-5 m-4 bg-white">
  <form class="d-flex justify-content-between" [formGroup]="searchFormGroup">
    <mat-form-field class="w-50">
      <mat-label>Recherche</mat-label>
      <input matInput formControlName="name">
    </mat-form-field>

  </form>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Nom du chirurgien</th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <ng-container matColumnDef="speciality">
      <th mat-header-cell *matHeaderCellDef> Spécialité</th>
      <td mat-cell *matCellDef="let element"> {{element.speciality}} </td>
    </ng-container>

    <ng-container matColumnDef="count">
      <th mat-header-cell *matHeaderCellDef> Nombre des interventions</th>
      <td mat-cell *matCellDef="let element"> {{element.count}} </td>
    </ng-container>

    <ng-container matColumnDef="favoriteAnesthsiste">
      <th mat-header-cell *matHeaderCellDef> Anesthésiste favori</th>
      <td mat-cell *matCellDef="let element"> {{element.favoriteAnesthsiste}} </td>
    </ng-container>

    <ng-container matColumnDef="favoriteNurse">
      <th mat-header-cell *matHeaderCellDef> Infirmière favorite</th>
      <td mat-cell *matCellDef="let element"> {{element.favoriteNurse}} </td>
    </ng-container>

    <ng-container matColumnDef="favoriteRoom">
      <th mat-header-cell *matHeaderCellDef> Salle la plus fréquente</th>
      <td mat-cell *matCellDef="let element"> {{element.favoriteRoom}} </td>
    </ng-container>

    <ng-container matColumnDef="favoriteIntervention">
      <th mat-header-cell *matHeaderCellDef> Acte le plus fréquent</th>
      <td mat-cell *matCellDef="let element"> {{element.favoriteIntervention}} </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

  </table>
  <mat-paginator [length]="resultsLength" [pageSizeOptions]="[10]" showFirstLastButtons></mat-paginator>

</div>
